package com.ruoyi.branch.service.impl;

import java.util.List;

import com.ruoyi.branch.domain.TBranchMeeting;
import com.ruoyi.branch.mapper.TBranchMeetingMapper;
import com.ruoyi.branch.service.ITBranchMeetingService;
import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 支部会议管理Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-06-07
 */
@Service
public class TBranchMeetingServiceImpl implements ITBranchMeetingService
{
    @Autowired
    private TBranchMeetingMapper tBranchMeetingMapper;

    /**
     * 查询支部会议管理
     * 
     * @param meetingId 支部会议管理主键
     * @return 支部会议管理
     */
    @Override
    public TBranchMeeting selectTBranchMeetingMgrByMeetingId(Long meetingId)
    {
        return tBranchMeetingMapper.selectTBranchMeetingMgrByMeetingId(meetingId);
    }

    /**
     * 查询支部会议管理列表
     * 
     * @param tBranchMeeting 支部会议管理
     * @return 支部会议管理
     */
    @Override
    @DataScope(deptAlias = "d", userAlias = "u")
    public List<TBranchMeeting> selectTBranchMeetingMgrList(TBranchMeeting tBranchMeeting)
    {
        return tBranchMeetingMapper.selectTBranchMeetingMgrList(tBranchMeeting);
    }

    /**
     * 新增支部会议管理
     * 
     * @param tBranchMeeting 支部会议管理
     * @return 结果
     */
    @Override
    public int insertTBranchMeetingMgr(TBranchMeeting tBranchMeeting)
    {
        tBranchMeeting.setCreateTime(DateUtils.getNowDate());
        return tBranchMeetingMapper.insertTBranchMeetingMgr(tBranchMeeting);
    }

    /**
     * 修改支部会议管理
     * 
     * @param tBranchMeeting 支部会议管理
     * @return 结果
     */
    @Override
    public int updateTBranchMeetingMgr(TBranchMeeting tBranchMeeting)
    {
        tBranchMeeting.setUpdateTime(DateUtils.getNowDate());
        return tBranchMeetingMapper.updateTBranchMeetingMgr(tBranchMeeting);
    }

    /**
     * 批量删除支部会议管理
     * 
     * @param meetingIds 需要删除的支部会议管理主键
     * @return 结果
     */
    @Override
    public int deleteTBranchMeetingMgrByMeetingIds(Long[] meetingIds)
    {
        return tBranchMeetingMapper.deleteTBranchMeetingMgrByMeetingIds(meetingIds);
    }

    /**
     * 删除支部会议管理信息
     * 
     * @param meetingId 支部会议管理主键
     * @return 结果
     */
    @Override
    public int deleteTBranchMeetingMgrByMeetingId(Long meetingId)
    {
        return tBranchMeetingMapper.deleteTBranchMeetingMgrByMeetingId(meetingId);
    }
}
